<template>
  <div class="container">
    <div class="large-12 medium-12 small-12 cell">
      <label
        >File
        <input
          type="file"
          id="file"
          ref="file"
          v-on:change="handleFileUpload()"
        />
      </label>
      <button v-on:click="submitFile()">Upload file</button>
    </div>
  </div>
</template>

<script>
import axios from "axios";
const urlDocs = `${process.env.VUE_APP_API_URL}/documents`;
export default {
  name: "FileUpload",
  data() {
    return {
      file: ""
    };
  },
  beforeCreate() {
    console.log(!this.$session.exists);
    if (!this.$session.exists) {
      this.$router.push("/");
      console.log("Passed session");
      console.log(this.$session);
    }
  },
  methods: {
    handleFileUpload() {
      this.file = this.$refs.file.files[0];
    },
    submitFile() {
      let formData = new FormData();
      formData.append("file", this.file);
      axios
        .post(urlDocs, formData, {
          headers: {
            Authorization: this.$session.get("Basic"),
            "Content-Type": "multipart/form-data"
          }
        })
        .then(function() {
          console.log("SUCCESS!!");
        })
        .catch(function() {
          console.log("FAILURE!!");
        });
    }
  }
};
</script>

<style scoped></style>
